For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Employer of Record
    • Introduction
    • Employment cost calculator
    • Hiring
    • Accept quote
    • Amendments
  • EOR Endpoints
  • EOR Worker Endpoints
      • POSTAcknowledge a compliance document
      • GETDownload employee compliance document template
      • GETDownload submitted compliance document
      • GETList of employee compliance documents
      • POSTUpload employee compliance document
LogoLogo
SupportDeel Home
EOR Worker EndpointsEOR Worker Compliance

Download submitted compliance document

GET
/eor/workers/compliance-documents/:document_id/download
GET
/rest/v2/eor/workers/compliance-documents/:document_id/download
$curl https://api.letsdeel.com/rest/v2/eor/workers/compliance-documents/document_id/download \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "url": "https://api-prod.letsdeel.com/contract_requirement/12345.pdf",
4 "expires_at": "2020-03-31T10:58:49.780Z"
5 }
6}

Returns a time-limited download URL for a submitted compliance document. The URL expires at the time indicated by expires_at in the response. Token scopes: worker:read

Was this page helpful?
Previous

List of employee compliance documents

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

document_idstringRequired
Unique identifier for a compliance document in Deel.

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/